public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/libe/files/, dev-libs/libe/
@ 2019-12-14 21:17 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2019-12-14 21:17 UTC (permalink / raw
  To: gentoo-commits

commit:     458211f69762df4f78d4c02e7418a20dd2df8f75
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 14 21:16:44 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Dec 14 21:16:44 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=458211f6

dev-libs/libe: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-libs/libe/files/libe-0.11.0-strtoul.patch | 11 +++++++++
 dev-libs/libe/libe-0.11.0.ebuild              | 32 +++++++++++++++------------
 2 files changed, 29 insertions(+), 14 deletions(-)

diff --git a/dev-libs/libe/files/libe-0.11.0-strtoul.patch b/dev-libs/libe/files/libe-0.11.0-strtoul.patch
new file mode 100644
index 00000000000..e993c593252
--- /dev/null
+++ b/dev-libs/libe/files/libe-0.11.0-strtoul.patch
@@ -0,0 +1,11 @@
+--- a/e/convert.h
++++ b/e/convert.h
+@@ -58,7 +58,7 @@
+ 
+     errno = 0;
+ #ifdef _MSC_VER
+-    ret = _strtoui64(s.c_str(), &endptr, base);
++    ret = strtoul(s.c_str(), &endptr, base);
+ #else
+     ret = strtoull(s.c_str(), &endptr, base);
+ #endif

diff --git a/dev-libs/libe/libe-0.11.0.ebuild b/dev-libs/libe/libe-0.11.0.ebuild
index be48fd2433c..45011db7226 100644
--- a/dev-libs/libe/libe-0.11.0.ebuild
+++ b/dev-libs/libe/libe-0.11.0.ebuild
@@ -1,27 +1,31 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-
-inherit eutils
-
-# bit messy at the moment, next release should fix it I hope
-RESTRICT="test"
+EAPI=7
 
 DESCRIPTION="Hyperdex libe support library"
-
 HOMEPAGE="http://hyperdex.org"
 SRC_URI="http://hyperdex.org/src/${P}.tar.gz"
+
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64"
+# bit messy at the moment, next release should fix it I hope
+RESTRICT="test"
+
+RDEPEND="dev-libs/libpo6"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
 
-IUSE=""
+PATCHES=( "${FILESDIR}"/${PN}-0.11.0-strtoul.patch )
+
+src_configure() {
+	econf --disable-static
+}
 
-RDEPEND=">=dev-libs/libpo6-0.8.0"
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
+src_install() {
+	default
 
-src_prepare() {
-	sed -i -e 's/_strtoui64/strtoul/' e/convert.h || die
+	# no static archives
+	find "${D}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2019-12-14 21:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-12-14 21:17 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libe/files/, dev-libs/libe/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox